.full-width {
  width: 100%;
}

.default-background-img {
  position: fixed;
  width: 100vw;
  height: 100vh;
  object-fit: cover;
}

.relative {
  position: relative;
}

.alert {
  position: fixed;
  top: 50px;
  left: 50%;
  transform: translate(-50%, 0);
  padding: 0.75rem 1.25rem;
  border: 1px solid transparent;
  border-radius: 0.25rem;
  display: none;
}

.alert-danger {
  color: #721c24;
  background-color: #f8d7da;
  border-color: #f5c6cb;
}

.content {
  position: fixed;
  top: 10%;
  height: calc(100% - 45%);
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: 50px;
}

.content p {
  color: #ffffff;
  font-size: 63px;
  width: 60%;
  text-align: center;
}

.content img {
  width: 100px;
  height: 100px;
}

.chat {
  display: flex;
  flex-direction: column;
  width: 74.4%;
  align-items: flex-start;
  justify-content: flex-end;
  gap: 20px;
  position: fixed;
  bottom: 12.2%;
  height: 160px;
  left: 50.4%;
  transform: translate(-50%, 0);
  padding: 14px 0px;
  transition: height 1s, top 1s, width 1s, left 1s;
}

.chat.__focused {
  height: 70%;
  overflow-y: auto;
}

.chat-helpers {
  display: flex;
  gap: 12px;
  margin-top: 16px;
  opacity: 1;
  transition: opacity 1s, height 1s, margin-top 1s;
  height: 40px;
  overflow: hidden;
  justify-content: center;
}

.chat.__focused .chat-helpers {
  opacity: 0;
  height: 0;
  margin-top: 2px;
}

.chat-list-value-btn {
  position: relative;
  padding: 10px 20px;
  color: #ffffff;
  border: 0px solid #ffffff;
  border-radius: 0px;
  background-color: rgba(255, 255, 255, 0.1);
  -webkit-backdrop-filter: blur(40px);
  backdrop-filter: blur(40px);
  z-index: 0;
  overflow: hidden;
}

.chat-list-value-btn:hover {
  border-color: transparent;
  background-color: rgba(255, 255, 255, 0.2);
}

.chat-list-value-btn::before {
  content: "";
  position: absolute;
  inset: 0;
  padding: 2px;
  border-radius: 24px;
  background: linear-gradient(90deg, #be2124 0%, #db3034 100%);
  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.3s;
  z-index: -1;
}

.chat-list-value-btn:hover::before {
  opacity: 0;
}

.chat-form {
  display: flex;
  width: 100%;
  position: relative;
}

.chat-input {
  width: 100%;
  height: 66px;
  font-family: "Balrow", sans-serif;
  font-weight: 400;
  font-size: 18px;
  padding: 2px 64px 2px 20px;
  outline: none;
  background-color: rgba(0, 0, 0, 0.05);
  border: 2px solid #d9d9d9;
  border-radius: 0px;
  color: #ffffff;
}

.chat-input:hover {
  border: 2px solid #ececec;
}

.chat-input:focus {
  border: 2px solid #ffffff;
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.8),
    0 0 20px rgba(255, 255, 255, 0.5);
}

.chat-input::placeholder {
  color: #ececec;
}

.chat-btn {
  right: 0px;
  height: 48px;
  position: absolute;
  background: transparent;
  font-weight: 600;
  font-size: 16px;
  width: 48px;
  border-radius: 24px;
  margin: 8px 10px 8px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  color: #ffffff;
  transition: width 1s;
}

.chat-btn:hover {
  background: rgba(255, 255, 255, 0.4);
}

.chat-btn:disabled {
  opacity: 0.4;
  background-color: rgba(255, 255, 255, 0.2);
  cursor: not-allowed;
}

.chat-btn-icon {
  width: 28px;
  height: 28px;
  transform: translate(-1px, 1px) rotate(0deg);
  transition: all 0.25s;
}

.chat.__focused .chat-close-btn {
  opacity: 1;
  transition: opacity 0s 1s;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.chat-close-btn {
  cursor: pointer;
  display: none;
  height: 40px;
  width: 40px;
  padding: 10px 9px 8px;
  border-radius: 4px;
  border: 1px solid transparent;
  z-index: 9999;
  border-radius: 50%;
  background-color: transparent;
  position: absolute;
  top: 16px;
  right: 16px;
}

.chat-close-btn:hover {
  background-color: rgba(255, 255, 255, 0.3);
}

.chat-close-btn img {
  width: 20px;
  height: 20px;
}

.chat-list-wrapper {
  width: 100%;
  overflow: hidden;
  height: 0;
  transition: height 1s;
  background-color: transparent;
  border-radius: 16px;
  position: relative;
}

.chat.__focused .chat-list-wrapper {
  height: 100%;
}

.chat-list {
  width: 100%;
  overflow: hidden;
  height: 0;
  transition: height 1s;
  background-color: transparent;
  border-radius: 16px;
}

.chat.__focused .chat-list {
  height: 100%;
  overflow: hidden auto;
  overscroll-behavior: contain;
}

.chat-message {
  display: block;
  padding: 10px 25px;
  color: #ffffff;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 165%;
  border-radius: 10px;
  margin: 20px auto;
  min-height: 35px;
  width: fit-content;
  min-width: 70px;
  max-width: 80%;
  white-space: pre-wrap;
}

.chat-message.__usual_white_space {
  white-space: normal;
}

.chat-message.__bot {
  border-radius: 20px 100px 100px 0px;
  margin: 20px auto 20px 20px;
}

.chat-message.__user {
  border-radius: 100px;
  margin: 20px 24px 20px auto;
  border: none;
  background-color: #80cff1;
  color: #272727;
}

.chat-message.__typing {
  width: auto;
  min-width: 120px;
}

.status-text {
  display: block;
  margin-top: 14px;
  padding-left: 25px;
  font-size: 14px;
  color: #6da7bf;
  white-space: nowrap;
}

.status-text:empty {
  margin-top: 0;
}

.chat-message a {
  color: inherit;
}

.chat-message h1,
.chat-message h2,
.chat-message h3,
.chat-message h4,
.chat-message h5,
.chat-message h6 {
  margin: 12px 0 6px;
  font-weight: bold;
  line-height: 130%;
  color: inherit;
}

.chat-message h1 {
  font-size: 24px;
}

.chat-message h2 {
  font-size: 21px;
}

.chat-message h3 {
  font-size: 19px;
}

.chat-message h4,
.chat-message h5,
.chat-message h6 {
  font-size: 18px;
}

.typing-loader {
  position: relative;
  left: 25px;
  width: 11px;
  aspect-ratio: 1;
  border-radius: 50%;
  animation: l5 1s infinite linear alternate;
}

@keyframes l5 {
  0% {
    box-shadow: 20px 0 #80cff1, -20px 0 #6da7bf;
    background: #80cff1;
  }
  33% {
    box-shadow: 20px 0 #80cff1, -20px 0 #6da7bf;
    background: #6da7bf;
  }
  66% {
    box-shadow: 20px 0 #6da7bf, -20px 0 #80cff1;
    background: #6da7bf;
  }
  100% {
    box-shadow: 20px 0 #6da7bf, -20px 0 #80cff1;
    background: #80cff1;
  }
}

.banner {
  width: 83.4%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  bottom: -14%;
  left: 50.4%;
  transform: translate(-50%, calc(100% + 30px));
  padding: 20px 30px;
  background-color: #f37a1f;
  cursor: pointer;
  color: #ffffff;

  -webkit-box-shadow: 0px 0px 3px 1px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 0px 0px 3px 1px rgba(0, 0, 0, 0.1);
  box-shadow: 0px 0px 3px 1px rgba(0, 0, 0, 0.1);
}

.banner:hover {
  background-color: #dd9b5d;
  -webkit-box-shadow: 0px 0px 6px 3px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0px 0px 6px 3px rgba(0, 0, 0, 0.2);
  box-shadow: 0px 0px 6px 3px rgba(0, 0, 0, 0.2);
}

.banner-flex {
  display: flex;
  align-items: center;
  gap: 20px;
}

.bold-font {
  font-weight: bold;
}

.chat_link {
  background-color: transparent;
  padding: 2px 8px;
  border-radius: 100px;
  text-decoration: none;
  white-space: nowrap;
  border: 1px solid transparent;
  align-items: center;
  border-radius: 8px;
  background-color: transparent;
  color: #80cff1 !important;
}

.chat_link:hover {
  text-decoration: underline;
}

.chat_link img {
  padding-right: 4px;
}

table,
th,
td {
  border: 1px solid #525252; /* border color and width */
  border-collapse: collapse; /* merges borders for clean look */
  padding: 8px; /* spacing inside cells */
}

thead {
  font-weight: bold;
}

.scroll-button {
  display: none;
  position: absolute;
  bottom: 16px;
  right: 16px;
  width: 32px;
  height: 32px;
  border: 0px solid #525252;
  border-radius: 50%;
  cursor: pointer;
  align-items: center;
  justify-content: center;
}

.scroll-button:hover {
  background-color: rgba(255, 255, 255, 0.3);
}

.scroll-button img {
  margin: 2px 0 0 2px;
  width: 20px;
  height: 20px;
  transform: rotate(135deg);
}

ol,
ul {
  padding: 12px 0 0px 56px;
}

li {
  padding-top: 12px;
}
